
Foreman - Refactor #288

move dashboard controller actions (besides index) to hosts controller

05/29/2010 04:52 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Rails   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

really, they just show up a list of hosts, maybe it makes more sense to use the hosts controller?

Related issues:

Related to Foreman - Feature #353: YAML output for hosts page Closed 07/16/2010

Associated revisions

Revision 6e8defed - 11/04/2010 09:54 AM - Ohad Levy

Fixes #288 - Moved DashboardController actions (except for #index) to HostsController.

History

#1 - 07/12/2010 12:59 PM - Paul Kelly

- Category set to Rails

- Assignee set to Rama Krishna

#2 - 08/15/2010 01:38 PM - Ohad Levy

Hi,

Any update on this one?

thanks

#3 - 09/19/2010 03:33 PM - Ohad Levy

- Assignee changed from Rama Krishna to Ohad Levy

- Target version set to 0.2

#4 - 11/02/2010 02:00 PM - Jochen Schalanda

- File 0001-Fixes-288-Moved-DashboardController-actions-except-f.patch added

- Target version changed from 0.2 to 0.1-6

The proposed patch moves the host-related actions out of DashboardController into HostsController.

Target version set to 0.1-6.

#5 - 11/04/2010 10:46 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 6e8defed1b29ef52e69af4d919cbb9753d7868c7.

#6 - 11/04/2010 10:50 AM - Ohad Levy
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6e8defed1b29ef52e69af4d919cbb9753d7868c7


- Status changed from Ready For Testing to Closed

Files

0001-Fixes-288-Moved-DashboardController-actions-except-f.patch 5.46 KB 11/02/2010 Jochen Schalanda
